## vlc 2.2.6

=== debian/changelog ===
vlc (2.2.6-6) unstable; urgency=medium

  * Update to ffmpeg 2.8.13.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 05 Sep 2017 19:37:57 +0200

vlc (2.2.6-5) unstable; urgency=medium

  * debian/control: Bump Standards-Version.
  * debian/patches: Add support for libupnp 1.8. (Closes: #868936)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 30 Aug 2017 20:57:06 +0200

vlc (2.2.6-4) unstable; urgency=medium

  * debian/upstream: Add DEP-12 metadata.
  * debian/control:
    - Restrict Recommends on vlc-plugin-samba to linux-any kfreebsd-any.
    - Switch to timgm6mb-soundfont. (Closes: #870790)
    - Bump Standards-Version.
  * debian/{rules,control,vlc-plugin-base}: No longer build directfb plugin.
    directfb upstream is inactive and the plugin got removed for vlc 3.0.
  * debian/vlc-plugin-base.lintian-overrides: Override
    shlibs-with-non-pic-code. See lintian overrides of ffmpeg for more
    details.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 12 Aug 2017 12:56:58 +0200

vlc (2.2.6-3) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * debian/patches: avcodec: Check visible sizes (CVE-2017-10699).

  [ Sebastian Ramacher ]
  * debian/patches: flac: Fix heap write overflow on frame format change.
    (CVE-2017-9300)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 11 Jul 2017 21:35:32 +0200

vlc (2.2.6-2) unstable; urgency=medium

  * Upload to unstable.
  * Update to ffmpeg 2.8.12.
  * debian/control:
    - Remove Build-Conflicts.
    - Bump Standards-Version.
  * debian/rules: Build with hardening=+all.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Jun 2017 18:15:34 +0200

vlc (2.2.6-1) experimental; urgency=medium

  * New upstream release.
    - demuxer: Fix heap buffer overflows (CVE-2017-8312).

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 24 May 2017 17:35:55 +0200

vlc (2.2.5.1-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.

  [ Sebastian Ramacher ]
  * debian/patches: Refreshed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 May 2017 15:04:10 +0200

vlc (2.2.5-4) experimental; urgency=medium

  * debian/rules: Revert "Also enable NEON on arm64". (LP: #1685444)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 23 Apr 2017 15:52:57 +0200

vlc (2.2.5-3) experimental; urgency=medium

  * Fix typos in changelog.
  * debian/rules: Also enable NEON on arm64.
  * debian/control: Build-Conflict with Qt in experimental to work around
    #858762.
  * debian/patches:
    - Use gbp-pq for patch management.
    - Apply upstream patch for WebVTT support. (Closes: #858963)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 07 Apr 2017 19:01:02 +0200

vlc (2.2.5-2) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * debian/{control,rules,vlc-plugin-video-output.install}: Disable OpenGL
    ES 1 support, mesa has dropped it. (Closes: #855117)

  [ Sebastian Ramacher ]
  * debian/: Major package clean up.
    - Remove vlc-nox binary package.
    - Update tests to new package layout.
    - Remove obsolete Breaks+Replaces.
  * debian/rules: Be explicit about GLES 1
  * debian/{rules,libvlc-bin.*}: Fix warning about non-empty directory
    (Closes: #854928)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 23 Mar 2017 17:56:16 +0100

vlc (2.2.5-1) unstable; urgency=medium

  * New upstream releases. (Closes: #850529)
  * debian/patches:
    - fix-translation.patch: Refreshed.
    - Removed patches taken from upstream included in 2.2.5.
  * debian/*.maintscript: Bump all versions to 2.2.5-1~z. This is necessary to
    properly handle symlink to directory conversions once 2.2.5 is available
    in jessie.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 19 Mar 2017 21:50:23 +0100

vlc (2.2.4-14) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Update to ffmpeg 2.8.11.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 14 Feb 2017 20:17:50 +0100

vlc (2.2.4-13) unstable; urgency=medium

  * debian/control: Switch to libopenmpt's libmodplug comat layer.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 11 Jan 2017 19:50:54 +0100

vlc (2.2.4-12) unstable; urgency=medium

  * Update to ffmpeg 2.8.10.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 03 Jan 2017 21:11:29 +0100

vlc (2.2.4-11) unstable; urgency=medium

  * debian/patches: Apply upstream to fix VLSub incorrectly announcing HTTP
    1.1 support. (Closes: #847559)
  * debian/control: Make vlc-plugin-skins2 depend on vlc-plugin-qt.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 18 Dec 2016 21:29:12 +0100

vlc (2.2.4-10) unstable; urgency=medium

  * debian/{control,*.links,*.install}: Move qvlc and svlc binaries to
    vlc-plugin-qt and vlc-plugin-skins2. Also add vlc-bin to Recommends.
    (Closes: #841530)
  * Update to ffmpeg 2.8.9.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 04 Dec 2016 15:12:16 +0100

vlc (2.2.4-9) unstable; urgency=medium

  * debian/control: Drop dh_buildinfo. This is now automatically recorded by
    dpkg.
  * debian/bug-control: Update list of packages.
  * debian/{control,rules,vlc-plugin-base.install}: Remove libschroedinger
    plugin since the library is about to be removed. See #845037 for details.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 22 Nov 2016 00:16:46 +0100

vlc (2.2.4-8) unstable; urgency=medium

  * debian/NEWS: Remove NEWS entry on package split. On upgrade, new
    Recommends are installed by apt anyway.
  * debian/control:
    - Switch from liblircclient-dev to liblirc-dev.
    - Remove shlibs:Depends from vlc's Depends.
  * debian/rules: Add --disable-neon when building with noopt.
  * debian/patches:
    - drop-check-qt-check.patch: Remove obsolete patches.
    - multiple: Add upstream patches to generate default skins2 skin
      reproducibly. (Closes: #841525)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 01 Nov 2016 13:34:46 +0100

vlc (2.2.4-7) unstable; urgency=medium

  * Split plugins and binaries into different packages. (Closes: #513177)


=== debian/control ===
Source: vlc
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>,
           Christophe Mutricy <xtophe@videolan.org>,
           Mohammed Adnène Trojette <adn+deb@diwi.org>,
           Reinhard Tartler <siretart@tauware.de>,
           Benjamin Drung <bdrung@debian.org>,
           Edward Wang <edward.c.wang@compdigitec.com>,
           Mateusz Łukasik <mati75@linuxmint.pl>,
           Sebastian Ramacher <sramacher@debian.org>
Build-Depends: autopoint,
               debhelper (>= 10),
               gettext,
               liba52-0.7.4-dev,
               libaa1-dev,
               libasound2-dev (>= 1.0.24) [linux-any],
               libass-dev (>= 0.9.8),
               libavahi-client-dev,
               libavc1394-dev (>= 0.5.3) [linux-any],
#              libavcodec-dev (>= 6:9),
#              libavformat-dev (>= 4:0.6),
               libbluray-dev (>= 1:0.3.0),
               libcaca-dev (>= 0.99.beta4),
               libcairo2-dev (>= 1.13.1),
               libcddb2-dev,
               libcdio-dev (>= 0.78.2),
               libchromaprint-dev (>= 0.6.0),
               libcrystalhd-dev [amd64 i386],
               libdbus-1-dev (>= 1.6.0),
               libdc1394-22-dev (>= 2.1.0) [linux-any],
               libdca-dev,
               libdvbpsi-dev,
               libdvdnav-dev (>> 4.9.0),
               libdvdread-dev (>> 4.9.0),
               libegl1-mesa-dev,
               libfaad-dev,
               libflac-dev (>= 1.1.2-3),
               libfluidsynth-dev (>= 1.1.2),
               libfreerdp-dev (>= 1.0.1),
               libfreetype6-dev,
               libfribidi-dev,
               libgl1-mesa-dev,
               libgles2-mesa-dev,
               libgnutls28-dev (>= 3.0.20),
               libgtk2.0-dev,
               libidn11-dev,
               libiso9660-dev (>= 0.72),
               libjack-dev,
               libkate-dev (>= 0.3.0),
               liblirc-dev,
               liblivemedia-dev (>= 2011.12.23),
               liblua5.2-dev,
               libmad0-dev,
               libmatroska-dev (>= 1.0.0),
               libmpcdec-dev,
               libmpeg2-4-dev,
               libmtp-dev (>= 1.0.0),
               libncursesw5-dev,
               libnotify-dev,
               libogg-dev (>= 1.0),
               libomxil-bellagio-dev [linux-any],
               libopenmpt-modplug-dev | libmodplug-dev (>= 1:0.8.8.1),
               libopus-dev (>= 1.0.3),
               libpng-dev,
#              libpostproc-dev (>= 4:0.6),
               libpulse-dev (>= 1.0),
               libqt5x11extras5-dev,
               libraw1394-dev (>= 2.0.1) [linux-any],
               libresid-builder-dev,
               librsvg2-dev,
               libsamplerate0-dev,
               libsdl-image1.2-dev,
               libsdl1.2-dev (>= 1.2.10),
               libshine-dev (>= 3.0.0),
               libshout3-dev,
               libsidplay2-dev,
               libsmbclient-dev [!hurd-any],
               libsndio-dev,
               libspeex-dev (>= 1.0.5),
               libspeexdsp-dev (>= 1.0.5),
               libssh2-1-dev,
#              libswscale-dev (>= 4:0.6),
               libtag1-dev (>= 1.9),
               libtheora-dev (>= 1.0),
               libtwolame-dev (>= 0.3.8),
               libudev-dev [linux-any],
               libupnp-dev,
               libv4l-dev [linux-any],
               libva-dev [kfreebsd-any linux-any],
               libvcdinfo-dev (>= 0.7.22),
               libvdpau-dev,
               libvncserver-dev (>= 0.9.9),
               libvorbis-dev,
               libx11-dev,
               libx264-dev (>= 2:0.86),
               libx265-dev,
               libxcb-composite0-dev,
               libxcb-keysyms1-dev (>= 0.3.4),
               libxcb-randr0-dev (>= 1.3),
               libxcb-shm0-dev,
               libxcb-xv0-dev (>= 1.1.90.1),
               libxcb1-dev (>= 1.6),
               libxext-dev,
               libxi-dev,
               libxinerama-dev,
               libxml2-dev,
               libxpm-dev,
               libzvbi-dev (>= 0.2.28),
               lua5.2,
               oss4-dev [kfreebsd-any],
               pkg-config,
               python3,
               qtbase5-dev (>= 5.1),
               zlib1g-dev,
               zsh,
# for embedded ffmpeg
               libbz2-dev,
               libgme-dev,
               libgsm1-dev,
               liblzma-dev,
               libmp3lame-dev,
               librtmp-dev,
               libsnappy-dev,
               libsoxr-dev,
               libssh-gcrypt-dev,
               libvpx-dev,
               libwavpack-dev,
               libwebp-dev,
               libxvidcore-dev,
               yasm
Standards-Version: 4.1.0
Homepage: https://www.videolan.org/vlc/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/vlc.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/vlc.git

Package: vlc
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: vlc-bin (= ${binary:Version}),
         vlc-plugin-base (= ${binary:Version}),
         vlc-plugin-qt (= ${binary:Version}),
         vlc-plugin-video-output (= ${binary:Version}),
         vlc-l10n (= ${source:Version}),
         ${misc:Depends}
Recommends: vlc-plugin-notify (= ${binary:Version}),
            vlc-plugin-samba (= ${binary:Version}) [linux-any kfreebsd-any],
            vlc-plugin-skins2 (= ${binary:Version}),
            vlc-plugin-video-splitter (= ${binary:Version}),
            vlc-plugin-visualization (= ${binary:Version})
Provides: mp3-decoder
Description: multimedia player and streamer
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 VLC can also be used as a streaming server that duplicates the stream it
 reads and multicasts them through the network to other clients, or serves
 them through HTTP.
 .
 VLC has support for on-the-fly transcoding of audio and video formats, either
 for broadcasting purposes or for movie format transformations. Support for
 most output methods is provided by this package, but features can be added by
 installing additional plugins:
  * vlc-plugin-access-extra
  * vlc-plugin-fluidsynth
  * vlc-plugin-jack
  * vlc-plugin-notify
  * vlc-plugin-samba
  * vlc-plugin-sdl
  * vlc-plugin-skins2
  * vlc-plugin-svg
  * vlc-plugin-video-splitter
  * vlc-plugin-visualization
  * vlc-plugin-zvbi

Package: libvlc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libvlc5 (= ${binary:Version}), pkg-config, ${misc:Depends}
Description: development files for libvlc
 This package contains headers and a static library required to build
 standalone applications that use VLC features.
 .
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.

Package: libvlc5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libvlc-bin (= ${binary:Version})
Description: multimedia player and streamer library
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the shared library required by applications using VLC
 features.

Package: libvlccore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libvlccore8 (= ${binary:Version}), pkg-config, ${misc:Depends}
Description: development files for libvlccore
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains headers and a static library required to build plugins
 for VLC.

Package: libvlccore8
Section: libs
Multi-Arch: same
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libproxy-tools
Description: base library for VLC and its modules
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the shared library required by VLC modules and libvlc.

Package: libvlc-bin
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: tools for VLC's base library
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the vlc-cache-gen binary.

Package: vlc-bin
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libvlc-bin (= ${binary:Version})
Description: binaries from VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the VLC's binaries.

Package: vlc-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Common data for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains HTTP interface files, and Lua scripts for VLC media
 player.

Package: vlc-l10n
Section: localization
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Translations for VLC
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains localisations for VLC media player.

Package: vlc-plugin-base
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         vlc-data (= ${source:Version})
Recommends: xdg-utils
Suggests: libdvdcss2
Description: multimedia player and streamer (base plugins)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains most plugins which are shipped in more specialied plugin
 packages.

Package: vlc-plugin-access-extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Enhances: vlc
Description: multimedia player and streamer (extra access plugins)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains additional access plugins.

Package: vlc-plugin-video-output
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Enhances: vlc
Description: multimedia player and streamer (video output plugins)
 VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
 DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
 podcasts, and multimedia streams from various network sources.
 .
 This package contains the video output plugins.

Package: vlc-plugin-video-splitter

=== debian/tests/control ===
Tests: vlc-bin
Depends: vlc-bin
Restrictions: allow-stderr

Tests: vlc
Depends: vlc
Restrictions: allow-stderr

Tests: vlc-all
Depends:
 vlc,
 vlc-plugin-fluidsynth,
 vlc-plugin-jack,
 vlc-plugin-notify,
 vlc-plugin-sdl,
 vlc-plugin-svg,
 vlc-plugin-zvbi,
 vlc-plugin-samba,
 vlc-plugin-skins2,
 vlc-plugin-video-splitter,
 vlc-plugin-visualization
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
http://download.videolan.org/pub/videolan/vlc/([\d][\d\.]+[a-z]?)/vlc-([\d][\d\.]+[a-z]?)\.tar\.xz debian
opts=component=ffmpeg-2-8-13 \
https://ffmpeg.org/releases/ffmpeg-2\.8\.([0-9.]+)\.tar\.xz 2.8.13

## vlc 2.2.7

=== doc/Makefile ===
LIBRARIES-$(CONFIG_AVUTIL)     += libavutil
LIBRARIES-$(CONFIG_SWSCALE)    += libswscale
LIBRARIES-$(CONFIG_SWRESAMPLE) += libswresample
LIBRARIES-$(CONFIG_AVCODEC)    += libavcodec
LIBRARIES-$(CONFIG_AVFORMAT)   += libavformat
LIBRARIES-$(CONFIG_AVDEVICE)   += libavdevice
LIBRARIES-$(CONFIG_AVFILTER)   += libavfilter

COMPONENTS-$(CONFIG_AVUTIL)     += ffmpeg-utils
COMPONENTS-$(CONFIG_SWSCALE)    += ffmpeg-scaler
COMPONENTS-$(CONFIG_SWRESAMPLE) += ffmpeg-resampler
COMPONENTS-$(CONFIG_AVCODEC)    += ffmpeg-codecs ffmpeg-bitstream-filters
COMPONENTS-$(CONFIG_AVFORMAT)   += ffmpeg-formats ffmpeg-protocols
COMPONENTS-$(CONFIG_AVDEVICE)   += ffmpeg-devices
COMPONENTS-$(CONFIG_AVFILTER)   += ffmpeg-filters

MANPAGES1   = $(AVPROGS-yes:%=doc/%.1)    $(AVPROGS-yes:%=doc/%-all.1)    $(COMPONENTS-yes:%=doc/%.1)
MANPAGES3   = $(LIBRARIES-yes:%=doc/%.3)
MANPAGES    = $(MANPAGES1) $(MANPAGES3)
PODPAGES    = $(AVPROGS-yes:%=doc/%.pod)  $(AVPROGS-yes:%=doc/%-all.pod)  $(COMPONENTS-yes:%=doc/%.pod)  $(LIBRARIES-yes:%=doc/%.pod)
HTMLPAGES   = $(AVPROGS-yes:%=doc/%.html) $(AVPROGS-yes:%=doc/%-all.html) $(COMPONENTS-yes:%=doc/%.html) $(LIBRARIES-yes:%=doc/%.html) \
              doc/developer.html                                        \
              doc/faq.html                                              \
              doc/fate.html                                             \
              doc/general.html                                          \
              doc/git-howto.html                                        \
              doc/nut.html                                              \
              doc/platform.html                                         \

TXTPAGES    = doc/fate.txt                                              \


DOCS-$(CONFIG_HTMLPAGES) += $(HTMLPAGES)
DOCS-$(CONFIG_PODPAGES)  += $(PODPAGES)
DOCS-$(CONFIG_MANPAGES)  += $(MANPAGES)
DOCS-$(CONFIG_TXTPAGES)  += $(TXTPAGES)
DOCS = $(DOCS-yes)

DOC_EXAMPLES-$(CONFIG_AVIO_DIR_CMD_EXAMPLE)      += avio_dir_cmd
DOC_EXAMPLES-$(CONFIG_AVIO_READING_EXAMPLE)      += avio_reading
DOC_EXAMPLES-$(CONFIG_AVCODEC_EXAMPLE)           += avcodec
DOC_EXAMPLES-$(CONFIG_DECODING_ENCODING_EXAMPLE) += decoding_encoding
DOC_EXAMPLES-$(CONFIG_DEMUXING_DECODING_EXAMPLE) += demuxing_decoding
DOC_EXAMPLES-$(CONFIG_EXTRACT_MVS_EXAMPLE)       += extract_mvs
DOC_EXAMPLES-$(CONFIG_FILTER_AUDIO_EXAMPLE)      += filter_audio
DOC_EXAMPLES-$(CONFIG_FILTERING_AUDIO_EXAMPLE)   += filtering_audio
DOC_EXAMPLES-$(CONFIG_FILTERING_VIDEO_EXAMPLE)   += filtering_video
DOC_EXAMPLES-$(CONFIG_METADATA_EXAMPLE)          += metadata
DOC_EXAMPLES-$(CONFIG_MUXING_EXAMPLE)            += muxing
DOC_EXAMPLES-$(CONFIG_QSVDEC_EXAMPLE)            += qsvdec
DOC_EXAMPLES-$(CONFIG_REMUXING_EXAMPLE)          += remuxing
DOC_EXAMPLES-$(CONFIG_RESAMPLING_AUDIO_EXAMPLE)  += resampling_audio
DOC_EXAMPLES-$(CONFIG_SCALING_VIDEO_EXAMPLE)     += scaling_video
DOC_EXAMPLES-$(CONFIG_TRANSCODE_AAC_EXAMPLE)     += transcode_aac
DOC_EXAMPLES-$(CONFIG_TRANSCODING_EXAMPLE)       += transcoding
ALL_DOC_EXAMPLES_LIST = $(DOC_EXAMPLES-) $(DOC_EXAMPLES-yes)

DOC_EXAMPLES       := $(DOC_EXAMPLES-yes:%=doc/examples/%$(PROGSSUF)$(EXESUF))
ALL_DOC_EXAMPLES   := $(ALL_DOC_EXAMPLES_LIST:%=doc/examples/%$(PROGSSUF)$(EXESUF))
ALL_DOC_EXAMPLES_G := $(ALL_DOC_EXAMPLES_LIST:%=doc/examples/%$(PROGSSUF)_g$(EXESUF))
PROGS              += $(DOC_EXAMPLES)

all-$(CONFIG_DOC): doc

doc: documentation

apidoc: doc/doxy/html
documentation: $(DOCS)

examples: $(DOC_EXAMPLES)

TEXIDEP = perl $(SRC_PATH)/doc/texidep.pl $(SRC_PATH) $< $@ >$(@:%=%.d)

doc/%.txt: TAG = TXT
doc/%.txt: doc/%.texi
	$(Q)$(TEXIDEP)
	$(M)makeinfo --force --no-headers -o $@ $< 2>/dev/null

GENTEXI  = format codec
GENTEXI := $(GENTEXI:%=doc/avoptions_%.texi)

$(GENTEXI): TAG = GENTEXI
$(GENTEXI): doc/avoptions_%.texi: doc/print_options$(HOSTEXESUF)
	$(M)doc/print_options $* > $@

doc/%.html: TAG = HTML
doc/%-all.html: TAG = HTML

ifdef HAVE_MAKEINFO_HTML
doc/%.html: doc/%.texi $(SRC_PATH)/doc/t2h.pm $(GENTEXI)
	$(Q)$(TEXIDEP)
	$(M)makeinfo --html -I doc --no-split -D config-not-all --init-file=$(SRC_PATH)/doc/t2h.pm --output $@ $<

doc/%-all.html: doc/%.texi $(SRC_PATH)/doc/t2h.pm $(GENTEXI)
	$(Q)$(TEXIDEP)
	$(M)makeinfo --html -I doc --no-split -D config-all --init-file=$(SRC_PATH)/doc/t2h.pm --output $@ $<
else
doc/%.html: doc/%.texi $(SRC_PATH)/doc/t2h.init $(GENTEXI)
	$(Q)$(TEXIDEP)
	$(M)texi2html -I doc -monolithic --D=config-not-all --init-file $(SRC_PATH)/doc/t2h.init --output $@ $<

doc/%-all.html: doc/%.texi $(SRC_PATH)/doc/t2h.init $(GENTEXI)
	$(Q)$(TEXIDEP)
	$(M)texi2html -I doc -monolithic --D=config-all --init-file $(SRC_PATH)/doc/t2h.init --output $@ $<
endif

doc/%.pod: TAG = POD
doc/%.pod: doc/%.texi $(SRC_PATH)/doc/texi2pod.pl $(GENTEXI)
	$(Q)$(TEXIDEP)
	$(M)perl $(SRC_PATH)/doc/texi2pod.pl -Dconfig-not-all=yes -Idoc $< $@

doc/%-all.pod: TAG = POD
doc/%-all.pod: doc/%.texi $(SRC_PATH)/doc/texi2pod.pl $(GENTEXI)
	$(Q)$(TEXIDEP)
	$(M)perl $(SRC_PATH)/doc/texi2pod.pl -Dconfig-all=yes -Idoc $< $@

doc/%.1 doc/%.3: TAG = MAN
doc/%.1: doc/%.pod $(GENTEXI)
	$(M)pod2man --section=1 --center=" " --release=" " --date=" " $< > $@
doc/%.3: doc/%.pod $(GENTEXI)
	$(M)pod2man --section=3 --center=" " --release=" " --date=" " $< > $@

$(DOCS) doc/doxy/html: | doc/
$(DOC_EXAMPLES:%$(EXESUF)=%.o): | doc/examples
OBJDIRS += doc/examples

DOXY_INPUT      = $(addprefix $(SRC_PATH)/, $(INSTHEADERS) $(DOC_EXAMPLES:%$(EXESUF)=%.c) $(LIB_EXAMPLES:%$(EXESUF)=%.c))

doc/doxy/html: TAG = DOXY
doc/doxy/html: $(SRC_PATH)/doc/Doxyfile $(SRC_PATH)/doc/doxy-wrapper.sh $(DOXY_INPUT)
	$(M)$(SRC_PATH)/doc/doxy-wrapper.sh $(SRC_PATH) $< $(DOXYGEN) $(DOXY_INPUT)

install-doc: install-html install-man

install-html:

install-man:

ifdef CONFIG_HTMLPAGES
install-progs-$(CONFIG_DOC): install-html

install-html: $(HTMLPAGES)
	$(Q)mkdir -p "$(DOCDIR)"
	$(INSTALL) -m 644 $(HTMLPAGES) "$(DOCDIR)"
endif

ifdef CONFIG_MANPAGES
install-progs-$(CONFIG_DOC): install-man

install-man: $(MANPAGES)
	$(Q)mkdir -p "$(MANDIR)/man1"
	$(INSTALL) -m 644 $(MANPAGES1) "$(MANDIR)/man1"
	$(Q)mkdir -p "$(MANDIR)/man3"
	$(INSTALL) -m 644 $(MANPAGES3) "$(MANDIR)/man3"
endif

uninstall: uninstall-doc

uninstall-doc: uninstall-html uninstall-man

uninstall-html:
	$(RM) -r "$(DOCDIR)"

uninstall-man:
	$(RM) $(addprefix "$(MANDIR)/man1/",$(AVPROGS-yes:%=%.1) $(AVPROGS-yes:%=%-all.1) $(COMPONENTS-yes:%=%.1))
	$(RM) $(addprefix "$(MANDIR)/man3/",$(LIBRARIES-yes:%=%.3))

clean:: docclean

distclean:: docclean
	$(RM) doc/config.texi

examplesclean:
	$(RM) $(ALL_DOC_EXAMPLES) $(ALL_DOC_EXAMPLES_G)
	$(RM) $(CLEANSUFFIXES:%=doc/examples/%)

docclean: examplesclean
	$(RM) $(CLEANSUFFIXES:%=doc/%)
	$(RM) $(TXTPAGES) doc/*.html doc/*.pod doc/*.1 doc/*.3 doc/avoptions_*.texi
	$(RM) -r doc/doxy/html

-include $(wildcard $(DOCS:%=%.d))

.PHONY: apidoc doc documentation

=== libswscale/Makefile ===
include $(SUBDIR)../config.mak

NAME = swscale

HEADERS = swscale.h                                                     \
          version.h                                                     \

OBJS = alphablend.o                                     \
       hscale_fast_bilinear.o                           \
       input.o                                          \
       options.o                                        \
       output.o                                         \
       rgb2rgb.o                                        \
       swscale.o                                        \
       swscale_unscaled.o                               \
       utils.o                                          \
       yuv2rgb.o                                        \
       slice.o                                          \
       hscale.o                                         \
       vscale.o                                         \
       gamma.o                                          \

OBJS-$(CONFIG_SHARED)        += log2_tab.o

# Windows resource file
SLIBOBJS-$(HAVE_GNU_WINDRES) += swscaleres.o

TESTPROGS = colorspace                                                  \
            swscale                                                     \

=== libavcodec/mips/Makefile ===
MIPSFPU-OBJS-$(CONFIG_AMRNB_DECODER)      += mips/acelp_filters_mips.o     \
                                             mips/celp_filters_mips.o      \
                                             mips/celp_math_mips.o         \
                                             mips/acelp_vectors_mips.o
MIPSFPU-OBJS-$(CONFIG_AMRWB_DECODER)      += mips/acelp_filters_mips.o     \
                                             mips/celp_filters_mips.o      \
                                             mips/amrwbdec_mips.o          \
                                             mips/celp_math_mips.o         \
                                             mips/acelp_vectors_mips.o
MIPSFPU-OBJS-$(CONFIG_MPEGAUDIODSP)       += mips/mpegaudiodsp_mips_float.o
MIPSDSPR1-OBJS-$(CONFIG_MPEGAUDIODSP)     += mips/mpegaudiodsp_mips_fixed.o
MIPSFPU-OBJS-$(CONFIG_FFT)                += mips/fft_mips.o
MIPSFPU-OBJS-$(CONFIG_FMTCONVERT)         += mips/fmtconvert_mips.o
OBJS-$(CONFIG_AC3DSP)                     += mips/ac3dsp_mips.o
OBJS-$(CONFIG_AAC_DECODER)                += mips/aacdec_mips.o            \
                                             mips/aacsbr_mips.o            \
                                             mips/sbrdsp_mips.o            \
                                             mips/aacpsdsp_mips.o
MIPSDSPR1-OBJS-$(CONFIG_AAC_ENCODER)      += mips/aaccoder_mips.o
MIPSFPU-OBJS-$(CONFIG_AAC_ENCODER)        += mips/iirfilter_mips.o
OBJS-$(CONFIG_HEVC_DECODER)               += mips/hevcdsp_init_mips.o      \
                                             mips/hevcpred_init_mips.o
OBJS-$(CONFIG_VP9_DECODER)                += mips/vp9dsp_init_mips.o
OBJS-$(CONFIG_VP8_DECODER)                += mips/vp8dsp_init_mips.o
OBJS-$(CONFIG_H264DSP)                    += mips/h264dsp_init_mips.o
OBJS-$(CONFIG_H264QPEL)                   += mips/h264qpel_init_mips.o
OBJS-$(CONFIG_H264CHROMA)                 += mips/h264chroma_init_mips.o
OBJS-$(CONFIG_H264PRED)                   += mips/h264pred_init_mips.o
OBJS-$(CONFIG_H263DSP)                    += mips/h263dsp_init_mips.o
OBJS-$(CONFIG_QPELDSP)                    += mips/qpeldsp_init_mips.o
OBJS-$(CONFIG_HPELDSP)                    += mips/hpeldsp_init_mips.o
OBJS-$(CONFIG_BLOCKDSP)                   += mips/blockdsp_init_mips.o
OBJS-$(CONFIG_PIXBLOCKDSP)                += mips/pixblockdsp_init_mips.o
OBJS-$(CONFIG_IDCTDSP)                    += mips/idctdsp_init_mips.o
OBJS-$(CONFIG_MPEGVIDEO)                  += mips/mpegvideo_init_mips.o
OBJS-$(CONFIG_MPEGVIDEOENC)               += mips/mpegvideoencdsp_init_mips.o
OBJS-$(CONFIG_ME_CMP)                     += mips/me_cmp_init_mips.o
OBJS-$(CONFIG_MPEG4_DECODER)              += mips/xvididct_init_mips.o
MSA-OBJS-$(CONFIG_HEVC_DECODER)           += mips/hevcdsp_msa.o            \
                                             mips/hevc_mc_uni_msa.o        \
                                             mips/hevc_mc_uniw_msa.o       \
                                             mips/hevc_mc_bi_msa.o         \
                                             mips/hevc_mc_biw_msa.o        \
                                             mips/hevc_idct_msa.o          \
                                             mips/hevc_lpf_sao_msa.o       \
                                             mips/hevcpred_msa.o
MSA-OBJS-$(CONFIG_VP9_DECODER)            += mips/vp9_mc_msa.o             \
                                             mips/vp9_lpf_msa.o            \
                                             mips/vp9_idct_msa.o           \
                                             mips/vp9_intra_msa.o
MSA-OBJS-$(CONFIG_VP8_DECODER)            += mips/vp8_mc_msa.o             \
                                             mips/vp8_idct_msa.o           \
                                             mips/vp8_lpf_msa.o
MSA-OBJS-$(CONFIG_H264DSP)                += mips/h264dsp_msa.o            \
                                             mips/h264idct_msa.o
MSA-OBJS-$(CONFIG_H264QPEL)               += mips/h264qpel_msa.o
MSA-OBJS-$(CONFIG_H264CHROMA)             += mips/h264chroma_msa.o
MSA-OBJS-$(CONFIG_H264PRED)               += mips/h264pred_msa.o
MSA-OBJS-$(CONFIG_H263DSP)                += mips/h263dsp_msa.o
MSA-OBJS-$(CONFIG_QPELDSP)                += mips/qpeldsp_msa.o
MSA-OBJS-$(CONFIG_HPELDSP)                += mips/hpeldsp_msa.o
MSA-OBJS-$(CONFIG_BLOCKDSP)               += mips/blockdsp_msa.o
MSA-OBJS-$(CONFIG_PIXBLOCKDSP)            += mips/pixblockdsp_msa.o
MSA-OBJS-$(CONFIG_IDCTDSP)                += mips/idctdsp_msa.o           \
                                             mips/simple_idct_msa.o
MSA-OBJS-$(CONFIG_MPEGVIDEO)              += mips/mpegvideo_msa.o
MSA-OBJS-$(CONFIG_MPEGVIDEOENC)           += mips/mpegvideoencdsp_msa.o
MSA-OBJS-$(CONFIG_ME_CMP)                 += mips/me_cmp_msa.o
MMI-OBJS                                  += mips/constants.o
MMI-OBJS-$(CONFIG_H264DSP)                += mips/h264dsp_mmi.o
MMI-OBJS-$(CONFIG_H264CHROMA)             += mips/h264chroma_mmi.o
MMI-OBJS-$(CONFIG_H264PRED)               += mips/h264pred_mmi.o
MMI-OBJS-$(CONFIG_MPEGVIDEO)              += mips/mpegvideo_mmi.o
MMI-OBJS-$(CONFIG_IDCTDSP)                += mips/idctdsp_mmi.o           \
                                             mips/simple_idct_mmi.o
MMI-OBJS-$(CONFIG_MPEG4_DECODER)          += mips/xvid_idct_mmi.o
MMI-OBJS-$(CONFIG_BLOCKDSP)               += mips/blockdsp_mmi.o
MMI-OBJS-$(CONFIG_PIXBLOCKDSP)            += mips/pixblockdsp_mmi.o
MMI-OBJS-$(CONFIG_H264QPEL)               += mips/h264qpel_mmi.o

=== tests/checkasm/Makefile ===
# libavcodec tests
AVCODECOBJS-$(CONFIG_BSWAPDSP) += bswapdsp.o
AVCODECOBJS-$(CONFIG_H264PRED) += h264pred.o
AVCODECOBJS-$(CONFIG_H264QPEL) += h264qpel.o

CHECKASMOBJS-$(CONFIG_AVCODEC) += $(AVCODECOBJS-yes)


-include $(SRC_PATH)/tests/checkasm/$(ARCH)/Makefile

CHECKASMOBJS += $(CHECKASMOBJS-yes) checkasm.o
CHECKASMOBJS := $(sort $(CHECKASMOBJS:%=tests/checkasm/%))

-include $(CHECKASMOBJS:.o=.d)

CHECKASMDIRS := $(sort $(dir $(CHECKASMOBJS)))
$(CHECKASMOBJS): | $(CHECKASMDIRS)
OBJDIRS += $(CHECKASMDIRS)

tests/checkasm/checkasm.o: CFLAGS += -Umain

CHECKASM := tests/checkasm/checkasm$(EXESUF)

$(CHECKASM): $(EXEOBJS) $(CHECKASMOBJS) $(FF_STATIC_DEP_LIBS)
	$(LD) $(LDFLAGS) $(LDEXEFLAGS) $(LD_O) $(CHECKASMOBJS) $(FF_STATIC_DEP_LIBS) $(EXTRALIBS)

checkasm: $(CHECKASM)

clean:: checkasmclean

checkasmclean:
	$(RM) $(CHECKASM) $(CLEANSUFFIXES:%=tests/checkasm/%) $(CLEANSUFFIXES:%=tests/checkasm/$(ARCH)/%)

.PHONY: checkasm

=== debian/changelog ===
vlc (2.2.7-1~deb9u1) stretch-security; urgency=high

  * New upstream release.
    - Fix crash in libavcodec module (heap write out-of band). (CVE-2017-10699)
    - Fix flac heap write overflow on format change. (CVE-2017-9300)
    - Fix AVI read/write overflow.
  * Update ffmpeg to 2.8.13.
  * debian/{control,*.maintscript}: Bump versions to ensure proper upgrades
    from jessie.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 19 Nov 2017 16:17:52 +0100

vlc (2.2.6-1~deb9u1) unstable; urgency=high

  * New upstream release.
    - demux: Fix heap buffer overflows (CVE-2017-8312)
  * debian/*.maintscript: Bump all versions to 2.2.6-1~z. This is necessary to
    properly handle symlink to directory conversions once 2.2.6 is available
    in jessie.
  * debian/control: Bump Breaks + Replaces to 2.2.6-1~deb9u1 where necessary
    to ensure proper upgrades from jessie.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 24 May 2017 18:00:59 +0200

vlc (2.2.5.1-1~deb9u2) unstable; urgency=medium

  * debian/control:
    - Bump Breaks + Replaces to 2.2.5.1-1~deb9u1 also in vlc-plugin-qt and
      vlc-plugin-skins2. Files moved from vlc to those two packages since
      jessie.
    - Remove Breaks + Replaces from libvlc-bin. While files moved from vlc-nox
      to libvlc-bin, they also changed their path.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 20 May 2017 10:41:05 +0200

vlc (2.2.5.1-1~deb9u1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix-translation.patch: Refreshed.
  * debian/*.maintscript: Bump all versions to 2.2.5.1-1~z. This is necessary
    to properly handle symlink to directory conversions once 2.2.5.1 is
    available in jessie.
  * debian/control: Bump Breaks + Replaces to 2.2.5.1-1~deb9u1 where necessary
    to ensure proper upgrades from jessie. (Closes: #862474)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 May 2017 15:24:45 +0200

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
                libdbus-1-dev (>= 1.6.0),
                libdc1394-22-dev (>= 2.1.0) [linux-any],
                libdca-dev,
+               libdirectfb-dev,
                libdvbpsi-dev,
                libdvdnav-dev (>> 4.9.0),
                libdvdread-dev (>> 4.9.0),
@@ -42,6 +43,7 @@
                libfreetype6-dev,
                libfribidi-dev,
                libgl1-mesa-dev,
+               libgles1-mesa-dev,
                libgles2-mesa-dev,
                libgnutls28-dev (>= 3.0.20),
                libgtk2.0-dev,
@@ -130,8 +132,8 @@
                libwebp-dev,
                libxvidcore-dev,
                yasm
-Standards-Version: 4.1.0
-Homepage: https://www.videolan.org/vlc/
+Standards-Version: 3.9.8
+Homepage: http://www.videolan.org/vlc/
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/vlc.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/vlc.git
 
@@ -145,7 +147,7 @@
          vlc-l10n (= ${source:Version}),
          ${misc:Depends}
 Recommends: vlc-plugin-notify (= ${binary:Version}),
-            vlc-plugin-samba (= ${binary:Version}) [linux-any kfreebsd-any],
+            vlc-plugin-samba (= ${binary:Version}),
             vlc-plugin-skins2 (= ${binary:Version}),
             vlc-plugin-video-splitter (= ${binary:Version}),
             vlc-plugin-visualization (= ${binary:Version})
@@ -226,6 +228,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libproxy-tools
+Breaks: vlc-nox (<< 2.2.4-7~),
+        vlc (<< 2.2.4-7~)
 Description: base library for VLC and its modules
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -250,6 +254,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          libvlc-bin (= ${binary:Version})
+Breaks: vlc-nox (<< 2.2.7-1~deb9u1)
+Replaces: vlc-nox (<< 2.2.7-1~deb9u1)
 Description: binaries from VLC
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -274,6 +280,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: vlc-data (<< 2.2.7-1~deb9u1)
+Replaces: vlc-data (<<  2.2.7-1~deb9u1)
 Description: Translations for VLC
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -303,6 +311,8 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Enhances: vlc
+Breaks: vlc-plugin-rdp (<< 2.2.4-7~)
+Replaces: vlc-plugin-rdp (<< 2.2.4-7~)
 Description: multimedia player and streamer (extra access plugins)
  VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
  DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
@@ -316,11 +326,3 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Enhances: vlc
-Description: multimedia player and streamer (video output plugins)
- VLC is the VideoLAN project's media player. It plays MPEG, MPEG-2, MPEG-4,
- DivX, MOV, WMV, QuickTime, WebM, FLAC, MP3, Ogg/Vorbis files, DVDs, VCDs,
- podcasts, and multimedia streams from various network sources.
- .
- This package contains the video output plugins.
-
-Package: vlc-plugin-video-splitter

=== debian/rules ===
#!/usr/bin/make -f

DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

pluginpackages += access-extra
pluginpackages += base
pluginpackages += fluidsynth
pluginpackages += jack
pluginpackages += notify
pluginpackages += qt
pluginpackages += sdl
pluginpackages += skins2
pluginpackages += svg
pluginpackages += video-output
pluginpackages += video-splitter
pluginpackages += visualization
pluginpackages += zvbi

ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
confflags += --enable-debug
endif

# configure flags
confflags += \
	--config-cache \
	--disable-update-check \
	--enable-fast-install \
	--docdir=/usr/share/doc/vlc-data \
	--with-binary-version=$(DEB_VERSION) \
	$(NULL)
# configure features
confflags += \
	--enable-a52 \
	--enable-aa \
	--enable-bluray \
	--enable-bonjour \
	--enable-caca \
	--enable-chromaprint \
	--enable-dbus \
	--enable-dca \
	--enable-directfb \
	--enable-dvbpsi \
	--enable-dvdnav \
	--enable-faad \
	--enable-flac \
	--enable-fluidsynth \
	--enable-freerdp \
	--enable-freetype \
	--enable-fribidi \
	--enable-gles1 \
	--enable-gles2 \
	--enable-gnutls \
	--enable-jack \
	--enable-kate \
	--enable-libass \
	--enable-libmpeg2 \
	--enable-libxml2 \
	--enable-lirc \
	--enable-live555 \
	--enable-mad \
	--enable-mkv \
	--enable-mod \
	--enable-mpc \
	--enable-mtp \
	--enable-mux_ogg \
	--enable-ncurses \
	--enable-notify \
	--enable-ogg \
	--enable-opus \
	--enable-pulse \
	--enable-qt \
	--enable-realrtsp \
	--enable-samplerate \
	--enable-sdl \
	--enable-sdl-image \
	--enable-sftp \
	--enable-shine \
	--enable-shout \
	--enable-skins2 \
	--enable-sndio \
	--enable-speex \
	--enable-svg \
	--enable-svgdec \
	--enable-taglib \
	--enable-theora \
	--enable-twolame \
	--enable-upnp \
	--enable-vcdx \
	--enable-vdpau \
	--enable-vnc \
	--enable-vorbis \
	--enable-x264 \
	--enable-x265 \
	--enable-zvbi \
	--with-kde-solid=/usr/share/solid/actions/ \
	$(NULL)
# Reasons for disabling features:
# decklink: not in Debian
# dxva2: Windows only
# fdkaac: in Debian non-free
# gnomevfs: poorly maintained
# goom: not in Debian
# gst-decode: not needed when having libavcodec
# libtar: security issue (#737534)
# mfx: currently not supported on Linux
# opencv: developer plugin not required by end users
# projectm: broken
# schroedinger: removed from Debian (#845037)
# telx: incompatible with zvbi
# vpx: not needed when having libavcodec
# vsxu: not in Debian
# wasapi: Windows only
confflags += \
	--disable-decklink \
	--disable-dxva2 \
	--disable-fdkaac \
	--disable-gnomevfs \
	--disable-goom \
	--disable-gst-decode \
	--disable-libtar \
	--disable-mfx \
	--disable-opencv \
	--disable-projectm \
	--disable-schroedinger \
	--disable-telx \
	--disable-vpx \
	--disable-vsxu \
	--disable-wasapi \
	$(NULL)

# Linux specific flags
ifeq ($(DEB_HOST_ARCH_OS),linux)
# omxil should be enabled on all systems, but libomxil-bellagio does
# not build on kfreebsd and hurd (currently).
# V4L2 is disabled on kFreeBSD due to a build failure.
confflags += \
	--enable-alsa \
	--enable-atmo \
	--enable-dc1394 \
	--enable-dv1394 \
	--enable-linsys \
	--enable-omxil \
	--enable-udev \
	--enable-v4l2 \
	$(NULL)
else
confflags += \
	--disable-alsa \
	--disable-atmo \
	--disable-dc1394 \
	--disable-dv1394 \
	--disable-linsys \
	--disable-omxil \
	--disable-udev \
	--disable-v4l2 \
	$(NULL)
removeplugins += \
	alsa \
	atmo \
	dc1394 \
	dtv \
	dv1394 \
	dvb \
	fb \
	linsys \
	omxil \
	udev \
	v4l2 \
	$(NULL)
endif

# Linux and kFreeBSD specific flags (disabled on Hurd)
ifeq (,$(filter-out linux kfreebsd,$(DEB_HOST_ARCH_OS)))
confflags += --enable-libva --enable-vcd --enable-smbclient
pluginpackages += samba
else
confflags += --disable-libva --disable-vcd --disable-smbclient
removeplugins += cdda libva smbclient vcd
endif

# kFreeBSD specific flags
ifeq (,$(filter-out kfreebsd,$(DEB_HOST_ARCH_OS)))
confflags += --enable-oss
else
# Note: Use ALSA on Linux instead of OSS.
#       Ubuntu has disabled OSS support in their Linux kernel.
confflags += --disable-oss
removeplugins += oss
endif

# Linux amd64 and i386 specific flags
ifeq (,$(filter-out amd64 i386,$(DEB_HOST_ARCH)))
confflags += --enable-crystalhd
else
confflags += --disable-crystalhd
removeplugins += crystalhd
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
confflags += \
	--disable-optimizations \
	--disable-mmx \
	--disable-sse \
	--disable-altivec \
	--disable-neon \
	$(NULL)
removeplugins += mmx sse2 altivec neon
else
# amd64 and i386 specific optimizations
ifeq (,$(filter-out amd64 i386,$(DEB_HOST_ARCH_CPU)))
confflags += --enable-mmx --enable-sse
else
confflags += --disable-mmx --disable-sse
removeplugins += mmx sse2
endif

# ARM specific optimizations
ifeq (,$(filter-out armhf,$(DEB_HOST_ARCH_CPU)))
confflags += --enable-neon
else
confflags += --disable-neon
removeplugins += neon
endif

# PowerPC specific optimizations (excluding powerpcspe)
ifeq (,$(filter-out powerpc,$(DEB_HOST_ARCH_CPU))$(filter powerpcspe,$(DEB_HOST_ARCH)))
confflags += --enable-altivec
else
confflags += --disable-altivec
removeplugins += altivec
endif

# PowerPCSPE specific optimizations
ifeq (,$(filter-out powerpcspe,$(DEB_HOST_ARCH)))
DEB_CFLAGS_MAINT_APPEND += -mtune=8548
DEB_CXXFLAGS_MAINT_APPEND += -mtune=8548
endif
endif

# configuration for embedded ffmpeg
ffmpegprefix = $(CURDIR)/ffmpeg/install
ffmpegbuild = $(CURDIR)/ffmpeg/build

ffmpegflags = \
	--prefix=$(ffmpegprefix) \
	--enable-pic \
	--disable-stripping \
	--enable-static \
	--disable-shared

# mostly based on contrib/src/ffmpeg/rules.mak
ffmpegflags += \
	--disable-doc \
	--disable-avdevice \
	--disable-devices \
	--disable-avfilter \
	--disable-avresample \
	--disable-swresample \
	--disable-programs \
	--disable-filters \
	--disable-bsfs \
	--disable-protocol=concat

# from ffmpeg 7:2.8.6-1 debian/rules and contrib/src/ffmpeg/rules.mak
ffmpegflags += \
	--enable-gpl \
	--enable-gnutls \
	--disable-libass \
	--enable-libbluray \
	--disable-libbs2b \
	--disable-libcaca \
	--disable-libcdio \
	--disable-libflite \
	--disable-libfontconfig \
	--disable-libfreetype \
	--disable-libfribidi \
	--disable-libopenjpeg \
	--disable-libschroedinger \
	--enable-libgme \
	--enable-libgsm \
	--enable-libmodplug \
	--enable-libmp3lame \
	--enable-libopus \
	--enable-librtmp \
	--enable-libshine \
	--enable-libsnappy \
	--enable-libsoxr \
	--enable-libspeex \
	--enable-libssh \
	--enable-libtheora \
	--enable-libtwolame \
	--enable-libvorbis \
	--enable-libvpx \
	--enable-libwavpack \
	--enable-libwebp \
	--enable-libx265 \
	--enable-libxvid \
	--enable-libzvbi \
	--disable-openal \
	--disable-opengl \
	--disable-x11grab

# Disable altivec optimizations on powerpc, because they are not always
# available on this architecture.
ifeq ($(DEB_HOST_ARCH),powerpc)
ffmpegflags += --disable-altivec
endif

# Disable assembly optimizations on x32, because they don't work (yet).
ifneq (,$(filter $(DEB_HOST_ARCH),x32))
ffmpegflags += --disable-asm
endif

# Disable optimizations on mips(el) and some on mips64(el), because they are not
# always available on these architectures.
ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel mips64 mips64el))
ffmpegflags += --disable-mipsdspr1 \
	--disable-mipsdspr2 \
	--disable-loongson3
endif
ifneq (,$(filter $(DEB_HOST_ARCH),mips mipsel))
ffmpegflags += --disable-mipsfpu
endif

# merge ffmpeg based plugins to reduce installation size
confflags += --enable-merge-ffmpeg

export DEB_CFLAGS_MAINT_APPEND
export DEB_CXXFLAGS_MAINT_APPEND
export DEB_LDFLAGS_MAINT_APPEND
export removeplugins

%:
	dh $@

override_dh_auto_clean:
	rm -rf $(ffmpegprefix) $(ffmpegbuild)
	dh_auto_clean

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	mkdir -p $(ffmpegbuild) $(ffmpegprefix)
	cd $(ffmpegbuild) && \
		$(CURDIR)/ffmpeg-2-8-13/configure $(ffmpegflags)
	dh_auto_build --sourcedirectory $(ffmpegbuild) -- V=1
	$(MAKE) -C $(ffmpegbuild) install-libs install-headers V=1

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
http://download.videolan.org/pub/videolan/vlc/([\d][\d\.]+[a-z]?)/vlc-([\d][\d\.]+[a-z]?)\.tar\.xz debian
opts=component=ffmpeg-2-8-11 \
https://ffmpeg.org/releases/ffmpeg-2\.8\.([0-9.]+)\.tar\.xz 2.8.11
